nxt.http

## Class JSONResponses

- java.lang.Object
- - nxt.http.JSONResponses

-     public final class JSONResponses
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.json.simple.JSONStreamAware` | `ALREADY_DELIVERED`
    `static org.json.simple.JSONStreamAware` | `API_PROXY_NO_OPEN_API_PEERS`
    `static org.json.simple.JSONStreamAware` | `API_PROXY_NO_PUBLIC_PEERS`
    `static org.json.simple.JSONStreamAware` | `ASSET_NOT_ISSUED_YET`
    `static org.json.simple.JSONStreamAware` | `CANNOT_DELETE_CURRENCY`
    `static org.json.simple.JSONStreamAware` | `DECRYPTION_FAILED`
    `static org.json.simple.JSONStreamAware` | `DUPLICATE_REFUND`
    `static org.json.simple.JSONStreamAware` | `EITHER_MESSAGE_ENCRYPTED_MESSAGE`
    `static org.json.simple.JSONStreamAware` | `ERROR_DISABLED`
    `static org.json.simple.JSONStreamAware` | `ERROR_INCORRECT_REQUEST`
    `static org.json.simple.JSONStreamAware` | `ERROR_NOT_ALLOWED`
    `static org.json.simple.JSONStreamAware` | `FEATURE_NOT_AVAILABLE`
    `static org.json.simple.JSONStreamAware` | `GOODS_NOT_DELIVERED`
    `static org.json.simple.JSONStreamAware` | `HASHES_MISMATCH`
    `static org.json.simple.JSONStreamAware` | `HEIGHT_NOT_AVAILABLE`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_ACCOUNT`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_ACCOUNT_DESCRIPTION_LENGTH`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_ACCOUNT_NAME_LENGTH`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_ACCOUNT_PROPERTY_NAME_LENGTH`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_ACCOUNT_PROPERTY_VALUE_LENGTH`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_ADMIN_PASSWORD`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_ALIAS`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_ALIAS_LENGTH`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_ALIAS_NAME`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_ALIAS_NOTFORSALE`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_ALIAS_OWNER`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_ARBITRARY_MESSAGE`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_ASSET`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_ASSET_DESCRIPTION`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_ASSET_NAME`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_ASSET_NAME_LENGTH`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_ASSET_PROPERTY_NAME_LENGTH`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_ASSET_PROPERTY_VALUE_LENGTH`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_BLOCK`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_CHAIN`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_CONTRACT_NAME_LENGTH`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_CONTRACT_PARAMS_LENGTH`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_CURRENCY`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_CURRENCY_CODE`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_CURRENCY_CODE_LENGTH`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_CURRENCY_DESCRIPTION_LENGTH`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_CURRENCY_NAME`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_CURRENCY_NAME_LENGTH`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_DATA_TOO_LONG`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_DATA_ZERO_LENGTH`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_DATE`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_DEADLINE`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_DECIMALS`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_DELIVERY_DEADLINE_TIMESTAMP`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_DELTA_QUANTITY`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_DGS_DISCOUNT`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_DGS_ENCRYPTED_GOODS`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_DGS_GOODS`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_DGS_LISTING_DESCRIPTION`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_DGS_LISTING_NAME`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_DGS_LISTING_TAGS`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_DGS_REFUND`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_EC_BLOCK`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_ENCRYPTED_MESSAGE`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_FILE`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_HALLMARK`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_HASH_ALGORITHM`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_HEIGHT`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_HOST`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_LINKED_TRANSACTION`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_MESSAGE_TO_ENCRYPT`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_OFFER`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_POLL_DESCRIPTION_LENGTH`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_POLL_NAME_LENGTH`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_POLL_OPTION_LENGTH`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_PROCESS_FILE`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_PROPERTY`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_PUBLIC_KEY`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_PURCHASE`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_PURCHASE_PRICE`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_PURCHASE_QUANTITY`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_RECIPIENT`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_RECIPIENTS_PUBLIC_KEY`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_SECRET`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_SHUFFLING`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_TAGGED_DATA_CHANNEL`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_TAGGED_DATA_DESCRIPTION`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_TAGGED_DATA_FILE`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_TAGGED_DATA_FILENAME`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_TAGGED_DATA_NAME`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_TAGGED_DATA_TAGS`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_TAGGED_DATA_TYPE`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_TIMESTAMP`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_TOKEN`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_TRANSACTION`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_URI_LENGTH`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_VOTE`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_WEIGHT`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_WHITELIST`
    `static org.json.simple.JSONStreamAware` | `INCORRECT_ZEROOPTIONS`
    `static org.json.simple.JSONStreamAware` | `LIGHT_CLIENT_DISABLED_API`
    `static org.json.simple.JSONStreamAware` | `LOCKED_ADMIN_PASSWORD`
    `static org.json.simple.JSONStreamAware` | `MISSING_ACCOUNT`
    `static org.json.simple.JSONStreamAware` | `MISSING_ADMIN_PASSWORD`
    `static org.json.simple.JSONStreamAware` | `MISSING_ALIAS_NAME`
    `static org.json.simple.JSONStreamAware` | `MISSING_ALIAS_OR_ALIAS_NAME`
    `static org.json.simple.JSONStreamAware` | `MISSING_ASSET`
    `static org.json.simple.JSONStreamAware` | `MISSING_ASSET_ACCOUNT`
    `static org.json.simple.JSONStreamAware` | `MISSING_CHAIN`
    `static org.json.simple.JSONStreamAware` | `MISSING_CURRENCY`
    `static org.json.simple.JSONStreamAware` | `MISSING_CURRENCY_ACCOUNT`
    `static org.json.simple.JSONStreamAware` | `MISSING_DATE`
    `static org.json.simple.JSONStreamAware` | `MISSING_DEADLINE`
    `static org.json.simple.JSONStreamAware` | `MISSING_DELIVERY_DEADLINE_TIMESTAMP`
    `static org.json.simple.JSONStreamAware` | `MISSING_DELTA_QUANTITY`
    `static org.json.simple.JSONStreamAware` | `MISSING_DESCRIPTION`
    `static org.json.simple.JSONStreamAware` | `MISSING_HALLMARK`
    `static org.json.simple.JSONStreamAware` | `MISSING_HEIGHT`
    `static org.json.simple.JSONStreamAware` | `MISSING_HOST`
    `static org.json.simple.JSONStreamAware` | `MISSING_MESSAGE_ENCRYPTED_MESSAGE`
    `static org.json.simple.JSONStreamAware` | `MISSING_MESSAGE_TO_ENCRYPT`
    `static org.json.simple.JSONStreamAware` | `MISSING_NAME`
    `static org.json.simple.JSONStreamAware` | `MISSING_OFFER`
    `static org.json.simple.JSONStreamAware` | `MISSING_PEER`
    `static org.json.simple.JSONStreamAware` | `MISSING_PHASED_TRANSACTION`
    `static org.json.simple.JSONStreamAware` | `MISSING_PROPERTY`
    `static org.json.simple.JSONStreamAware` | `MISSING_RECIPIENT_PUBLIC_KEY`
    `static org.json.simple.JSONStreamAware` | `MISSING_SECRET`
    `static org.json.simple.JSONStreamAware` | `MISSING_SECRET_PHRASE`
    `static org.json.simple.JSONStreamAware` | `MISSING_SHUFFLING`
    `static org.json.simple.JSONStreamAware` | `MISSING_SIGNATURE_HASH`
    `static org.json.simple.JSONStreamAware` | `MISSING_TOKEN`
    `static org.json.simple.JSONStreamAware` | `MISSING_TRANSACTION`
    `static org.json.simple.JSONStreamAware` | `MISSING_TRANSACTION_BYTES_OR_JSON`
    `static org.json.simple.JSONStreamAware` | `MISSING_UNSIGNED_BYTES`
    `static org.json.simple.JSONStreamAware` | `MISSING_WEBSITE`
    `static org.json.simple.JSONStreamAware` | `MISSING_WEIGHT`
    `static org.json.simple.JSONStreamAware` | `MONITOR_ALREADY_STARTED`
    `static org.json.simple.JSONStreamAware` | `MONITOR_NOT_STARTED`
    `static org.json.simple.JSONStreamAware` | `NO_COST_ORDER`
    `static org.json.simple.JSONStreamAware` | `NO_MESSAGE`
    `static org.json.simple.JSONStreamAware` | `NO_PASSWORD_IN_CONFIG`
    `static org.json.simple.JSONStreamAware` | `NO_TRADES_FOUND`
    `static org.json.simple.JSONStreamAware` | `NOT_ENOUGH_ASSETS`
    `static org.json.simple.JSONStreamAware` | `NOT_ENOUGH_CURRENCY`
    `static org.json.simple.JSONStreamAware` | `NOT_ENOUGH_FUNDS`
    `static org.json.simple.JSONStreamAware` | `NOT_FORGING`
    `static org.json.simple.JSONStreamAware` | `OVERFLOW`
    `static org.json.simple.JSONStreamAware` | `PEER_NOT_CONNECTED`
    `static org.json.simple.JSONStreamAware` | `PEER_NOT_OPEN_API`
    `static org.json.simple.JSONStreamAware` | `PEERS_NETWORKING_DISABLED`
    `static org.json.simple.JSONStreamAware` | `PHASING_TRANSACTION_FINISHED`
    `static org.json.simple.JSONStreamAware` | `POLL_FINISHED`
    `static org.json.simple.JSONStreamAware` | `POLL_RESULTS_NOT_AVAILABLE`
    `static org.json.simple.JSONStreamAware` | `POST_REQUIRED`
    `static org.json.simple.JSONStreamAware` | `PROXY_MISSING_REQUEST_TYPE`
    `static org.json.simple.JSONStreamAware` | `PROXY_SECRET_DATA_DETECTED`
    `static org.json.simple.JSONStreamAware` | `PRUNED_TRANSACTION`
    `static org.json.simple.JSONStreamAware` | `REQUIRED_BLOCK_NOT_FOUND`
    `static org.json.simple.JSONStreamAware` | `REQUIRED_LAST_BLOCK_NOT_FOUND`
    `static org.json.simple.JSONStreamAware` | `RESPONSE_STREAM_ERROR`
    `static org.json.simple.JSONStreamAware` | `RESPONSE_WRITE_ERROR`
    `static org.json.simple.JSONStreamAware` | `TOO_MANY_PHASING_VOTES`
    `static org.json.simple.JSONStreamAware` | `UNKNOWN_ACCOUNT`
    `static org.json.simple.JSONStreamAware` | `UNKNOWN_ALIAS`
    `static org.json.simple.JSONStreamAware` | `UNKNOWN_ASSET`
    `static org.json.simple.JSONStreamAware` | `UNKNOWN_BLOCK`
    `static org.json.simple.JSONStreamAware` | `UNKNOWN_CHAIN`
    `static org.json.simple.JSONStreamAware` | `UNKNOWN_CURRENCY`
    `static org.json.simple.JSONStreamAware` | `UNKNOWN_ENTRY`
    `static org.json.simple.JSONStreamAware` | `UNKNOWN_GOODS`
    `static org.json.simple.JSONStreamAware` | `UNKNOWN_OFFER`
    `static org.json.simple.JSONStreamAware` | `UNKNOWN_ORDER`
    `static org.json.simple.JSONStreamAware` | `UNKNOWN_PEER`
    `static org.json.simple.JSONStreamAware` | `UNKNOWN_PHASED_TRANSACTION`
    `static org.json.simple.JSONStreamAware` | `UNKNOWN_POLL`
    `static org.json.simple.JSONStreamAware` | `UNKNOWN_PROPERTY`
    `static org.json.simple.JSONStreamAware` | `UNKNOWN_SHUFFLING`
    `static org.json.simple.JSONStreamAware` | `UNKNOWN_TRANSACTION`
    `static org.json.simple.JSONStreamAware` | `UNKNOWN_TRANSACTION_FULL_HASH`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.json.simple.JSONStreamAware` | `either(java.lang.String... paramNames)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INCORRECT_ALIAS

          public static final org.json.simple.JSONStreamAware INCORRECT_ALIAS

    - #### INCORRECT_ALIAS_OWNER

          public static final org.json.simple.JSONStreamAware INCORRECT_ALIAS_OWNER

    - #### INCORRECT_ALIAS_LENGTH

          public static final org.json.simple.JSONStreamAware INCORRECT_ALIAS_LENGTH

    - #### INCORRECT_ALIAS_NAME

          public static final org.json.simple.JSONStreamAware INCORRECT_ALIAS_NAME

    - #### INCORRECT_ALIAS_NOTFORSALE

          public static final org.json.simple.JSONStreamAware INCORRECT_ALIAS_NOTFORSALE

    - #### INCORRECT_URI_LENGTH

          public static final org.json.simple.JSONStreamAware INCORRECT_URI_LENGTH

    - #### INCORRECT_PUBLIC_KEY

          public static final org.json.simple.JSONStreamAware INCORRECT_PUBLIC_KEY

    - #### MISSING_ALIAS_NAME

          public static final org.json.simple.JSONStreamAware MISSING_ALIAS_NAME

    - #### MISSING_ALIAS_OR_ALIAS_NAME

          public static final org.json.simple.JSONStreamAware MISSING_ALIAS_OR_ALIAS_NAME

    - #### MISSING_DEADLINE

          public static final org.json.simple.JSONStreamAware MISSING_DEADLINE

    - #### INCORRECT_DEADLINE

          public static final org.json.simple.JSONStreamAware INCORRECT_DEADLINE

    - #### MISSING_TRANSACTION_BYTES_OR_JSON

          public static final org.json.simple.JSONStreamAware MISSING_TRANSACTION_BYTES_OR_JSON

    - #### UNKNOWN_ORDER

          public static final org.json.simple.JSONStreamAware UNKNOWN_ORDER

    - #### MISSING_HALLMARK

          public static final org.json.simple.JSONStreamAware MISSING_HALLMARK

    - #### INCORRECT_HALLMARK

          public static final org.json.simple.JSONStreamAware INCORRECT_HALLMARK

    - #### MISSING_WEBSITE

          public static final org.json.simple.JSONStreamAware MISSING_WEBSITE

    - #### MISSING_TOKEN

          public static final org.json.simple.JSONStreamAware MISSING_TOKEN

    - #### INCORRECT_TOKEN

          public static final org.json.simple.JSONStreamAware INCORRECT_TOKEN

    - #### MISSING_ACCOUNT

          public static final org.json.simple.JSONStreamAware MISSING_ACCOUNT

    - #### INCORRECT_ACCOUNT

          public static final org.json.simple.JSONStreamAware INCORRECT_ACCOUNT

    - #### INCORRECT_TIMESTAMP

          public static final org.json.simple.JSONStreamAware INCORRECT_TIMESTAMP

    - #### UNKNOWN_ACCOUNT

          public static final org.json.simple.JSONStreamAware UNKNOWN_ACCOUNT

    - #### UNKNOWN_ALIAS

          public static final org.json.simple.JSONStreamAware UNKNOWN_ALIAS

    - #### UNKNOWN_ASSET

          public static final org.json.simple.JSONStreamAware UNKNOWN_ASSET

    - #### INCORRECT_ASSET

          public static final org.json.simple.JSONStreamAware INCORRECT_ASSET

    - #### MISSING_ASSET

          public static final org.json.simple.JSONStreamAware MISSING_ASSET

    - #### MISSING_ASSET_ACCOUNT

          public static final org.json.simple.JSONStreamAware MISSING_ASSET_ACCOUNT

    - #### UNKNOWN_BLOCK

          public static final org.json.simple.JSONStreamAware UNKNOWN_BLOCK

    - #### INCORRECT_BLOCK

          public static final org.json.simple.JSONStreamAware INCORRECT_BLOCK

    - #### UNKNOWN_ENTRY

          public static final org.json.simple.JSONStreamAware UNKNOWN_ENTRY

    - #### MISSING_PEER

          public static final org.json.simple.JSONStreamAware MISSING_PEER

    - #### UNKNOWN_PEER

          public static final org.json.simple.JSONStreamAware UNKNOWN_PEER

    - #### MISSING_TRANSACTION

          public static final org.json.simple.JSONStreamAware MISSING_TRANSACTION

    - #### UNKNOWN_TRANSACTION

          public static final org.json.simple.JSONStreamAware UNKNOWN_TRANSACTION

    - #### INCORRECT_TRANSACTION

          public static final org.json.simple.JSONStreamAware INCORRECT_TRANSACTION

    - #### INCORRECT_ASSET_DESCRIPTION

          public static final org.json.simple.JSONStreamAware INCORRECT_ASSET_DESCRIPTION

    - #### INCORRECT_ASSET_NAME

          public static final org.json.simple.JSONStreamAware INCORRECT_ASSET_NAME

    - #### INCORRECT_ASSET_NAME_LENGTH

          public static final org.json.simple.JSONStreamAware INCORRECT_ASSET_NAME_LENGTH

    - #### MISSING_NAME

          public static final org.json.simple.JSONStreamAware MISSING_NAME

    - #### INCORRECT_DECIMALS

          public static final org.json.simple.JSONStreamAware INCORRECT_DECIMALS

    - #### MISSING_HOST

          public static final org.json.simple.JSONStreamAware MISSING_HOST

    - #### MISSING_DATE

          public static final org.json.simple.JSONStreamAware MISSING_DATE

    - #### MISSING_WEIGHT

          public static final org.json.simple.JSONStreamAware MISSING_WEIGHT

    - #### INCORRECT_HOST

          public static final org.json.simple.JSONStreamAware INCORRECT_HOST

    - #### INCORRECT_WEIGHT

          public static final org.json.simple.JSONStreamAware INCORRECT_WEIGHT

    - #### INCORRECT_DATE

          public static final org.json.simple.JSONStreamAware INCORRECT_DATE

    - #### INCORRECT_RECIPIENT

          public static final org.json.simple.JSONStreamAware INCORRECT_RECIPIENT

    - #### INCORRECT_ARBITRARY_MESSAGE

          public static final org.json.simple.JSONStreamAware INCORRECT_ARBITRARY_MESSAGE

    - #### MISSING_DESCRIPTION

          public static final org.json.simple.JSONStreamAware MISSING_DESCRIPTION

    - #### INCORRECT_POLL_NAME_LENGTH

          public static final org.json.simple.JSONStreamAware INCORRECT_POLL_NAME_LENGTH

    - #### INCORRECT_POLL_DESCRIPTION_LENGTH

          public static final org.json.simple.JSONStreamAware INCORRECT_POLL_DESCRIPTION_LENGTH

    - #### INCORRECT_POLL_OPTION_LENGTH

          public static final org.json.simple.JSONStreamAware INCORRECT_POLL_OPTION_LENGTH

    - #### INCORRECT_ZEROOPTIONS

          public static final org.json.simple.JSONStreamAware INCORRECT_ZEROOPTIONS

    - #### INCORRECT_VOTE

          public static final org.json.simple.JSONStreamAware INCORRECT_VOTE

    - #### UNKNOWN_POLL

          public static final org.json.simple.JSONStreamAware UNKNOWN_POLL

    - #### INCORRECT_WHITELIST

          public static final org.json.simple.JSONStreamAware INCORRECT_WHITELIST

    - #### INCORRECT_ACCOUNT_NAME_LENGTH

          public static final org.json.simple.JSONStreamAware INCORRECT_ACCOUNT_NAME_LENGTH

    - #### INCORRECT_ACCOUNT_DESCRIPTION_LENGTH

          public static final org.json.simple.JSONStreamAware INCORRECT_ACCOUNT_DESCRIPTION_LENGTH

    - #### MISSING_UNSIGNED_BYTES

          public static final org.json.simple.JSONStreamAware MISSING_UNSIGNED_BYTES

    - #### MISSING_SIGNATURE_HASH

          public static final org.json.simple.JSONStreamAware MISSING_SIGNATURE_HASH

    - #### INCORRECT_DGS_LISTING_NAME

          public static final org.json.simple.JSONStreamAware INCORRECT_DGS_LISTING_NAME

    - #### INCORRECT_DGS_LISTING_DESCRIPTION

          public static final org.json.simple.JSONStreamAware INCORRECT_DGS_LISTING_DESCRIPTION

    - #### INCORRECT_DGS_LISTING_TAGS

          public static final org.json.simple.JSONStreamAware INCORRECT_DGS_LISTING_TAGS

    - #### UNKNOWN_GOODS

          public static final org.json.simple.JSONStreamAware UNKNOWN_GOODS

    - #### INCORRECT_DELTA_QUANTITY

          public static final org.json.simple.JSONStreamAware INCORRECT_DELTA_QUANTITY

    - #### MISSING_DELTA_QUANTITY

          public static final org.json.simple.JSONStreamAware MISSING_DELTA_QUANTITY

    - #### MISSING_DELIVERY_DEADLINE_TIMESTAMP

          public static final org.json.simple.JSONStreamAware MISSING_DELIVERY_DEADLINE_TIMESTAMP

    - #### INCORRECT_DELIVERY_DEADLINE_TIMESTAMP

          public static final org.json.simple.JSONStreamAware INCORRECT_DELIVERY_DEADLINE_TIMESTAMP

    - #### INCORRECT_PURCHASE_QUANTITY

          public static final org.json.simple.JSONStreamAware INCORRECT_PURCHASE_QUANTITY

    - #### INCORRECT_PURCHASE_PRICE

          public static final org.json.simple.JSONStreamAware INCORRECT_PURCHASE_PRICE

    - #### INCORRECT_PURCHASE

          public static final org.json.simple.JSONStreamAware INCORRECT_PURCHASE

    - #### INCORRECT_DGS_GOODS

          public static final org.json.simple.JSONStreamAware INCORRECT_DGS_GOODS

    - #### INCORRECT_DGS_DISCOUNT

          public static final org.json.simple.JSONStreamAware INCORRECT_DGS_DISCOUNT

    - #### INCORRECT_DGS_REFUND

          public static final org.json.simple.JSONStreamAware INCORRECT_DGS_REFUND

    - #### INCORRECT_ENCRYPTED_MESSAGE

          public static final org.json.simple.JSONStreamAware INCORRECT_ENCRYPTED_MESSAGE

    - #### INCORRECT_DGS_ENCRYPTED_GOODS

          public static final org.json.simple.JSONStreamAware INCORRECT_DGS_ENCRYPTED_GOODS

    - #### INCORRECT_HEIGHT

          public static final org.json.simple.JSONStreamAware INCORRECT_HEIGHT

    - #### MISSING_HEIGHT

          public static final org.json.simple.JSONStreamAware MISSING_HEIGHT

    - #### INCORRECT_MESSAGE_TO_ENCRYPT

          public static final org.json.simple.JSONStreamAware INCORRECT_MESSAGE_TO_ENCRYPT

    - #### MISSING_MESSAGE_TO_ENCRYPT

          public static final org.json.simple.JSONStreamAware MISSING_MESSAGE_TO_ENCRYPT

    - #### INCORRECT_CURRENCY_NAME_LENGTH

          public static final org.json.simple.JSONStreamAware INCORRECT_CURRENCY_NAME_LENGTH

    - #### INCORRECT_CURRENCY_CODE_LENGTH

          public static final org.json.simple.JSONStreamAware INCORRECT_CURRENCY_CODE_LENGTH

    - #### INCORRECT_CURRENCY_NAME

          public static final org.json.simple.JSONStreamAware INCORRECT_CURRENCY_NAME

    - #### INCORRECT_CURRENCY_CODE

          public static final org.json.simple.JSONStreamAware INCORRECT_CURRENCY_CODE

    - #### INCORRECT_CURRENCY_DESCRIPTION_LENGTH

          public static final org.json.simple.JSONStreamAware INCORRECT_CURRENCY_DESCRIPTION_LENGTH

    - #### MISSING_CURRENCY

          public static final org.json.simple.JSONStreamAware MISSING_CURRENCY

    - #### MISSING_CURRENCY_ACCOUNT

          public static final org.json.simple.JSONStreamAware MISSING_CURRENCY_ACCOUNT

    - #### UNKNOWN_CURRENCY

          public static final org.json.simple.JSONStreamAware UNKNOWN_CURRENCY

    - #### INCORRECT_CURRENCY

          public static final org.json.simple.JSONStreamAware INCORRECT_CURRENCY

    - #### MISSING_OFFER

          public static final org.json.simple.JSONStreamAware MISSING_OFFER

    - #### UNKNOWN_OFFER

          public static final org.json.simple.JSONStreamAware UNKNOWN_OFFER

    - #### INCORRECT_OFFER

          public static final org.json.simple.JSONStreamAware INCORRECT_OFFER

    - #### MISSING_ADMIN_PASSWORD

          public static final org.json.simple.JSONStreamAware MISSING_ADMIN_PASSWORD

    - #### INCORRECT_ADMIN_PASSWORD

          public static final org.json.simple.JSONStreamAware INCORRECT_ADMIN_PASSWORD

    - #### LOCKED_ADMIN_PASSWORD

          public static final org.json.simple.JSONStreamAware LOCKED_ADMIN_PASSWORD

    - #### OVERFLOW

          public static final org.json.simple.JSONStreamAware OVERFLOW

    - #### MISSING_SHUFFLING

          public static final org.json.simple.JSONStreamAware MISSING_SHUFFLING

    - #### UNKNOWN_SHUFFLING

          public static final org.json.simple.JSONStreamAware UNKNOWN_SHUFFLING

    - #### INCORRECT_SHUFFLING

          public static final org.json.simple.JSONStreamAware INCORRECT_SHUFFLING

    - #### RESPONSE_STREAM_ERROR

          public static final org.json.simple.JSONStreamAware RESPONSE_STREAM_ERROR

    - #### RESPONSE_WRITE_ERROR

          public static final org.json.simple.JSONStreamAware RESPONSE_WRITE_ERROR

    - #### MISSING_PHASED_TRANSACTION

          public static final org.json.simple.JSONStreamAware MISSING_PHASED_TRANSACTION

    - #### UNKNOWN_TRANSACTION_FULL_HASH

          public static final org.json.simple.JSONStreamAware UNKNOWN_TRANSACTION_FULL_HASH

    - #### INCORRECT_LINKED_TRANSACTION

          public static final org.json.simple.JSONStreamAware INCORRECT_LINKED_TRANSACTION

    - #### INCORRECT_TAGGED_DATA_NAME

          public static final org.json.simple.JSONStreamAware INCORRECT_TAGGED_DATA_NAME

    - #### INCORRECT_TAGGED_DATA_DESCRIPTION

          public static final org.json.simple.JSONStreamAware INCORRECT_TAGGED_DATA_DESCRIPTION

    - #### INCORRECT_TAGGED_DATA_TAGS

          public static final org.json.simple.JSONStreamAware INCORRECT_TAGGED_DATA_TAGS

    - #### INCORRECT_TAGGED_DATA_FILENAME

          public static final org.json.simple.JSONStreamAware INCORRECT_TAGGED_DATA_FILENAME

    - #### INCORRECT_TAGGED_DATA_TYPE

          public static final org.json.simple.JSONStreamAware INCORRECT_TAGGED_DATA_TYPE

    - #### INCORRECT_TAGGED_DATA_CHANNEL

          public static final org.json.simple.JSONStreamAware INCORRECT_TAGGED_DATA_CHANNEL

    - #### INCORRECT_TAGGED_DATA_FILE

          public static final org.json.simple.JSONStreamAware INCORRECT_TAGGED_DATA_FILE

    - #### INCORRECT_FILE

          public static final org.json.simple.JSONStreamAware INCORRECT_FILE

    - #### INCORRECT_DATA_TOO_LONG

          public static final org.json.simple.JSONStreamAware INCORRECT_DATA_TOO_LONG

    - #### INCORRECT_DATA_ZERO_LENGTH

          public static final org.json.simple.JSONStreamAware INCORRECT_DATA_ZERO_LENGTH

    - #### MISSING_MESSAGE_ENCRYPTED_MESSAGE

          public static final org.json.simple.JSONStreamAware MISSING_MESSAGE_ENCRYPTED_MESSAGE

    - #### EITHER_MESSAGE_ENCRYPTED_MESSAGE

          public static final org.json.simple.JSONStreamAware EITHER_MESSAGE_ENCRYPTED_MESSAGE

    - #### INCORRECT_HASH_ALGORITHM

          public static final org.json.simple.JSONStreamAware INCORRECT_HASH_ALGORITHM

    - #### MISSING_SECRET

          public static final org.json.simple.JSONStreamAware MISSING_SECRET

    - #### INCORRECT_SECRET

          public static final org.json.simple.JSONStreamAware INCORRECT_SECRET

    - #### MISSING_RECIPIENT_PUBLIC_KEY

          public static final org.json.simple.JSONStreamAware MISSING_RECIPIENT_PUBLIC_KEY

    - #### INCORRECT_ACCOUNT_PROPERTY_NAME_LENGTH

          public static final org.json.simple.JSONStreamAware INCORRECT_ACCOUNT_PROPERTY_NAME_LENGTH

    - #### INCORRECT_ACCOUNT_PROPERTY_VALUE_LENGTH

          public static final org.json.simple.JSONStreamAware INCORRECT_ACCOUNT_PROPERTY_VALUE_LENGTH

    - #### INCORRECT_ASSET_PROPERTY_NAME_LENGTH

          public static final org.json.simple.JSONStreamAware INCORRECT_ASSET_PROPERTY_NAME_LENGTH

    - #### INCORRECT_ASSET_PROPERTY_VALUE_LENGTH

          public static final org.json.simple.JSONStreamAware INCORRECT_ASSET_PROPERTY_VALUE_LENGTH

    - #### INCORRECT_PROPERTY

          public static final org.json.simple.JSONStreamAware INCORRECT_PROPERTY

    - #### UNKNOWN_PROPERTY

          public static final org.json.simple.JSONStreamAware UNKNOWN_PROPERTY

    - #### MISSING_PROPERTY

          public static final org.json.simple.JSONStreamAware MISSING_PROPERTY

    - #### INCORRECT_EC_BLOCK

          public static final org.json.simple.JSONStreamAware INCORRECT_EC_BLOCK

    - #### UNKNOWN_CHAIN

          public static final org.json.simple.JSONStreamAware UNKNOWN_CHAIN

    - #### INCORRECT_CHAIN

          public static final org.json.simple.JSONStreamAware INCORRECT_CHAIN

    - #### MISSING_CHAIN

          public static final org.json.simple.JSONStreamAware MISSING_CHAIN

    - #### UNKNOWN_PHASED_TRANSACTION

          public static final org.json.simple.JSONStreamAware UNKNOWN_PHASED_TRANSACTION

    - #### INCORRECT_CONTRACT_NAME_LENGTH

          public static final org.json.simple.JSONStreamAware INCORRECT_CONTRACT_NAME_LENGTH

    - #### INCORRECT_CONTRACT_PARAMS_LENGTH

          public static final org.json.simple.JSONStreamAware INCORRECT_CONTRACT_PARAMS_LENGTH

    - #### NOT_ENOUGH_FUNDS

          public static final org.json.simple.JSONStreamAware NOT_ENOUGH_FUNDS

    - #### NOT_ENOUGH_ASSETS

          public static final org.json.simple.JSONStreamAware NOT_ENOUGH_ASSETS

    - #### NO_COST_ORDER

          public static final org.json.simple.JSONStreamAware NO_COST_ORDER

    - #### ASSET_NOT_ISSUED_YET

          public static final org.json.simple.JSONStreamAware ASSET_NOT_ISSUED_YET

    - #### NOT_ENOUGH_CURRENCY

          public static final org.json.simple.JSONStreamAware NOT_ENOUGH_CURRENCY

    - #### ERROR_NOT_ALLOWED

          public static final org.json.simple.JSONStreamAware ERROR_NOT_ALLOWED

    - #### ERROR_DISABLED

          public static final org.json.simple.JSONStreamAware ERROR_DISABLED

    - #### ERROR_INCORRECT_REQUEST

          public static final org.json.simple.JSONStreamAware ERROR_INCORRECT_REQUEST

    - #### NOT_FORGING

          public static final org.json.simple.JSONStreamAware NOT_FORGING

    - #### POST_REQUIRED

          public static final org.json.simple.JSONStreamAware POST_REQUIRED

    - #### FEATURE_NOT_AVAILABLE

          public static final org.json.simple.JSONStreamAware FEATURE_NOT_AVAILABLE

    - #### DECRYPTION_FAILED

          public static final org.json.simple.JSONStreamAware DECRYPTION_FAILED

    - #### ALREADY_DELIVERED

          public static final org.json.simple.JSONStreamAware ALREADY_DELIVERED

    - #### DUPLICATE_REFUND

          public static final org.json.simple.JSONStreamAware DUPLICATE_REFUND

    - #### GOODS_NOT_DELIVERED

          public static final org.json.simple.JSONStreamAware GOODS_NOT_DELIVERED

    - #### NO_MESSAGE

          public static final org.json.simple.JSONStreamAware NO_MESSAGE

    - #### HEIGHT_NOT_AVAILABLE

          public static final org.json.simple.JSONStreamAware HEIGHT_NOT_AVAILABLE

    - #### CANNOT_DELETE_CURRENCY

          public static final org.json.simple.JSONStreamAware CANNOT_DELETE_CURRENCY

    - #### NO_PASSWORD_IN_CONFIG

          public static final org.json.simple.JSONStreamAware NO_PASSWORD_IN_CONFIG

    - #### POLL_RESULTS_NOT_AVAILABLE

          public static final org.json.simple.JSONStreamAware POLL_RESULTS_NOT_AVAILABLE

    - #### POLL_FINISHED

          public static final org.json.simple.JSONStreamAware POLL_FINISHED

    - #### PHASING_TRANSACTION_FINISHED

          public static final org.json.simple.JSONStreamAware PHASING_TRANSACTION_FINISHED

    - #### TOO_MANY_PHASING_VOTES

          public static final org.json.simple.JSONStreamAware TOO_MANY_PHASING_VOTES

    - #### HASHES_MISMATCH

          public static final org.json.simple.JSONStreamAware HASHES_MISMATCH

    - #### REQUIRED_BLOCK_NOT_FOUND

          public static final org.json.simple.JSONStreamAware REQUIRED_BLOCK_NOT_FOUND

    - #### REQUIRED_LAST_BLOCK_NOT_FOUND

          public static final org.json.simple.JSONStreamAware REQUIRED_LAST_BLOCK_NOT_FOUND

    - #### MISSING_SECRET_PHRASE

          public static final org.json.simple.JSONStreamAware MISSING_SECRET_PHRASE

    - #### PRUNED_TRANSACTION

          public static final org.json.simple.JSONStreamAware PRUNED_TRANSACTION

    - #### PROXY_MISSING_REQUEST_TYPE

          public static final org.json.simple.JSONStreamAware PROXY_MISSING_REQUEST_TYPE

    - #### PROXY_SECRET_DATA_DETECTED

          public static final org.json.simple.JSONStreamAware PROXY_SECRET_DATA_DETECTED

    - #### API_PROXY_NO_OPEN_API_PEERS

          public static final org.json.simple.JSONStreamAware API_PROXY_NO_OPEN_API_PEERS

    - #### LIGHT_CLIENT_DISABLED_API

          public static final org.json.simple.JSONStreamAware LIGHT_CLIENT_DISABLED_API

    - #### API_PROXY_NO_PUBLIC_PEERS

          public static final org.json.simple.JSONStreamAware API_PROXY_NO_PUBLIC_PEERS

    - #### PEER_NOT_CONNECTED

          public static final org.json.simple.JSONStreamAware PEER_NOT_CONNECTED

    - #### PEER_NOT_OPEN_API

          public static final org.json.simple.JSONStreamAware PEER_NOT_OPEN_API

    - #### PEERS_NETWORKING_DISABLED

          public static final org.json.simple.JSONStreamAware PEERS_NETWORKING_DISABLED

    - #### MONITOR_ALREADY_STARTED

          public static final org.json.simple.JSONStreamAware MONITOR_ALREADY_STARTED

    - #### MONITOR_NOT_STARTED

          public static final org.json.simple.JSONStreamAware MONITOR_NOT_STARTED

    - #### NO_TRADES_FOUND

          public static final org.json.simple.JSONStreamAware NO_TRADES_FOUND

    - #### INCORRECT_RECIPIENTS_PUBLIC_KEY

          public static final org.json.simple.JSONStreamAware INCORRECT_RECIPIENTS_PUBLIC_KEY

    - #### INCORRECT_PROCESS_FILE

          public static final org.json.simple.JSONStreamAware INCORRECT_PROCESS_FILE

  - ### Method Detail

    - #### either

          public static org.json.simple.JSONStreamAware either(java.lang.String... paramNames)